---
title: "Get BAG information"
slug: "get-bag-information"
updated: 2025-11-07T20:01:40Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get BAG information

Get/api/v1/realestateobjects/buildings/bag

Get BAG information.

		
			

**Description**

This endpoint can be used to retrieve the BAG information regarding a certain building. The BAG data entails information regarding the property from the government source (kadaster). This data can only be retrieved if it has already been retrieved from the BAG through the Bloxs application. This means that the data is already available in the application and which will then be the source of the information. Attempting to retrieve BAG information with this endpoint without retrieving the data first through the Bloxs application is not possible.

Both the 'reference' and the 'externalIdentifier' can be used to identify the object from which the BAG data should be retrieved. Preferably only the reference is used. If this is not available, the externalIdentifier can be used. If both properties are used it is important that both are correct and match with the same entity (object). If this is not the case, the request will return with an error code.

**Use Case**

This endpoint can be used to retrieve governmental data regarding a certain object. This data can subsequently be used to retrieve other specific data points.

**Response fields**

The response contains the fields in the table below.

| Field | Description |
| --- | --- |
| retrievedOn | Timestamp indicating when Bloxs retrieved the data from BAG. |
| address | The address data as retrieved from the BAG. This includes the street, housenumber (and addition), postal code and city/town. |
| premisesId | Details of the property itself. BAG includes building, occupancy unit, and house number information. This refers to the BAG building ID. |
| premises_OriginalBuildYear | Original construction year of the property. |
| premises_Status | The status of the premise as retrieved from the BAG. |
| residenceId | Occupancy unit identification number, abbreviated as BAG VBO ID. |
| residence_Uses | The purpose of the residence as registered by the BAG. For example: Housing (woonfunctie). |
| residence_Surface | The surface of the residence in sqm2 as registered by the BAG. |
| residence_Status | The status of the residence as retrieved from the BAG. |
| numberDesignationId | The number designation ID as retrieved from the BAG. |
| numberDesignation_PostalCode | The postal code linked to the number designation ID as retrieved from the BAG. |
| numberDesignation_HouseNumber | The house number linked to the number designation ID as retrieved from the BAG. |
| numberDesignation_HouseNumberCharacter | The house number character (e.g. 1A) linked to the number designation ID as retrieved from the BAG. |
| HouseNumberAddition | The house number addition linked to the number designation ID as retrieved from the BAG., e.g., 350-1. This can include more than just a number (e.g., "bis" or "264H"). |
| Status | The status linked to the number designation ID as retrieved from the BAG. |
| publicSpaceId | The identification number of the public space in which the object is located, as retrieved from the BAG. |
| publicSpace_Name | The name of the public space in which the object is located, as retrieved from the BAG. This can for example be illustrated by the name of the street. |
| publicSpace_Status | The status of the public space in which the object is located, as retrieved from the BAG. |
| city_Name | The name of the city in which the object is located, as retrieved from the BAG. |
| city_Status | The status of the city in which the object is located, as retrieved from the BAG. |
| sourceHolder_Code | The identification code of the municipality in which the object is located, as retrieved from the BAG. |
| sourceHolder_Name | The name of the municipality in which the object is located, as retrieved from the BAG. |
| cadastralNumber | The cadastral number of the parcel on which the object is located, as retrieved from the BAG. |
| parcelArea | The surface area in sqm2 of the parcel on which the object is located, as retrieved from the BAG. |
| municipality_Name | The cadastral municipality of the parcel on which the object is located, as retrieved from the BAG. The cadastral municipality can differ from the regular municipality, for example in the event of merging of municipalities. |
| condominiumIds | The condominium ID(s) known in the parcel on which the object is located, as retrieved from the BAG. Multiple IDs can be returned for one parcel. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parametersreferencestring

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

externalIdentifierstring

The external API identifier of the model.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='f98b7387-c54f-4285-9062-ac752b243376'>application/json</option>
</select>Array of object   object  retrievedOnstring  (date-time)    
addressstring   | null  
premises Array of object (PremisesModel)  | null  object  premisesIdstring   | null  
premises_OriginalBuildYearstring   | null  
premises_Statusstring   | null  

residenceIdstring   | null  
residence_Usesstring   | null  
residence_Surfaceinteger  (int32)    
residence_Statusstring   | null  
numberDesignationIdstring   | null  
numberDesignation_PostalCodestring   | null  
numberDesignation_HouseNumberinteger  (int32)    
numberDesignation_HouseNumberCharacterstring   | null  
numberDesignation_HouseNumberAdditionstring   | null  
numberDesignation_Statusstring   | null  
publicSpaceIdstring   | null  
publicSpace_Namestring   | null  
publicSpace_Statusstring   | null  
city_Namestring   | null  
city_Statusstring   | null  
sourceHolders Array of object (SourceHolderModel)  | null  object  sourceHolder_Codestring   | null  
sourceHolder_Namestring   | null  

parcels Array of object (ParcelModel)  | null  object  cadastralNumberstring   | null  
parcel_Areanumber  (double)    
municipality_Namestring   | null  
condominiumIds Array of string  | null  string
